using domain;
using domain.Models.RequestModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ui
{
    public class GroupUI
    {   
        private readonly GroupUseCase _groupUseCase;
        public GroupUI(GroupUseCase groupUseCase) {
            _groupUseCase = groupUseCase;
        }

        public void AddGroup() {
            Console.WriteLine("Введите название группы: ");
            GroupAddRequest groupAddRequest = new GroupAddRequest { Name = Console.ReadLine()};
            _groupUseCase.addGroup(groupAddRequest);
        }
    }
}
